Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora
Class Avrora.Error

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              avrora.Avrora.Error

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  Avrora.InternalError, Avrora.Unexpected, InterpreterError.AddressOutOfBoundsException, InterpreterError.NoSuchInstructionException, InterpreterError.PCAlignmentException, InterpreterError.PCOutOfBoundsException, Segment.AddressOutOfBoundsException, SimplifierError

Enclosing class:
  Avrora

public static class Avrora.Error
extends java.lang.Error

The `Error` class is the base class of all errors in Avrora. It provides a few extra utility functions and is useful for distinguishing exceptions generated by Avrora itself and the Java runtime.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `message`
`protected java.lang.String` | `param`
`static boolean` | `STACKTRACES`

Constructor Summary
`Avrora.Error(java.lang.String p)`
`Avrora.Error(java.lang.String n, java.lang.String p)`

Method Summary
`java.lang.String` | `getParam()`
`void` | `report()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### message

    protected final java.lang.String message

### param

    protected final java.lang.String param

### STACKTRACES

    public static boolean STACKTRACES

Constructor Detail

### Avrora.Error

    public Avrora.Error(java.lang.String p)

### Avrora.Error

    public Avrora.Error(java.lang.String n,
                        java.lang.String p)

Method Detail

### getParam

    public java.lang.String getParam()

### report

    public void report()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD